package cn.bsystem.ptmenu.model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class ConfigNode implements Serializable{
	private static final long serialVersionUID = -4977909994038263349L;
	private String name ;
	private String value;
	private String comment;
	private String parentId;
	public List<ConfigNode> list = new ArrayList<ConfigNode>();

	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getValue() {
		return value;
	}
	public void setValue(String value) {
		this.value = value;
	}
	public String getComment() {
		return comment;
	}
	public void setComment(String comment) {
		this.comment = comment;
	}
	public String getParentId() {
		return parentId;
	}
	public void setParentId(String parentId) {
		this.parentId = parentId;
	}
	
	public void addSubConfigNode(ConfigNode menuchild) {
		list.add(menuchild);
		
	}
}
